## hif-version hif-version — Preprocessor macros for the libhif version |

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | HIF_CHECK_VERSION()

## Types and Values

#define | HIF_MAJOR_VERSION
#define | HIF_MINOR_VERSION
#define | HIF_MICRO_VERSION

## Includes

    #include <libhif.h>

## Description

These functions are used in client code to conditionalize compilation depending on the version of libhif headers installed.

## Functions

### HIF_CHECK_VERSION()

    #define             HIF_CHECK_VERSION(major,minor,micro)

## Types and Values

### HIF_MAJOR_VERSION

    #define HIF_MAJOR_VERSION				(0)

### HIF_MINOR_VERSION

    #define HIF_MINOR_VERSION				(1)

### HIF_MICRO_VERSION

    #define HIF_MICRO_VERSION				(7)